/* This file is part of airuiplugin package *
*
 * Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 *
 * Contact: Suresh Chande <suresh.chande@nokia.com> and
 *          Vladimir Ushakov <vladimir.ushakov@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia
 * Corporation. This material also contains confidential information
 * which may not be disclosed to others without the prior written
 * consent of Nokia.
 */

import QtQuick 1.0
import com.nokia.airui 1.0

GestureInterpreter {

    onEventReceived: {
        // Find grid view on display, depending on its visibility react differently
        var scrollVertically = isInPortrait();

        // Gridview visible, handle navigation as up/down
        switch(event) {
            case GestureInterpreter.Up:
            case GestureInterpreter.Left:
                if (scrollVertically) {
                    emitPan(findCurrentPage(), 0, 300)
                    emitDrag(findCurrentPage(), 0, 300)
                }
                else {
                    emitPan(findCurrentPage(), 90, 150);
                    emitDrag(findCurrentPage(), 90, 150);
                }
                break;
            case GestureInterpreter.Down:
                case GestureInterpreter.Right:
                if (scrollVertically) {
                    emitPan(findCurrentPage(), 180, 300);
                    emitDrag(findCurrentPage(), 180, 300);
                }
                else {
                    emitPan(findCurrentPage(), -90, 150);
                    emitDrag(findCurrentPage(), -90, 150);
                }
                break;
            case GestureInterpreter.Press:
                //emitPress(findCurrentPage());
                break;
            case GestureInterpreter.PrintItems:
                break;
        }
    }
}
